%define upstream_name	 Finance-Quote
%define upstream_version 1.49

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get stock and mutual fund quotes from various exchanges 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Finance/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTML::TableExtract)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(JSON)
BuildRequires: perl(JSON::Parse)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Text::Template)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(feature)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Finance::Quote provides access to time-delayed stockquotes from a
number of sources.  After you've installed the pacakage, try
'perldoc Finance::Quote' for full information.  Alternatively,
you can 'perldoc lib/Finance/Quote.pm' before the install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files 
%doc Changes Examples LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Finance
%{perl_vendorlib}/G*
%{_mandir}/*/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.490.0-2.mga8
+ Revision: 1526814
- Mageia 8 Mass Rebuild

* Mon Jul 01 2019 tv <tv> 1.490.0-1.mga8
+ Revision: 1416696
- update to 1.49

* Thu Sep 20 2018 umeabot <umeabot> 1.470.0-2.mga7
+ Revision: 1283911
- Mageia 7 Mass Rebuild

* Wed Nov 15 2017 tv <tv> 1.470.0-1.mga7
+ Revision: 1177456
- update to 1.47

* Sat Nov 11 2017 tv <tv> 1.450.0-1.mga7
+ Revision: 1176893
- update to 1.45

* Wed Nov 08 2017 tv <tv> 1.440.0-1.mga7
+ Revision: 1176573
- update to 1.44

* Tue Nov 07 2017 tv <tv> 1.430.0-1.mga7
+ Revision: 1176395
- update to 1.43

* Mon Nov 06 2017 tv <tv> 1.400.0-1.mga7
+ Revision: 1176176
- update to 1.40

* Sun Jun 19 2016 pterjan <pterjan> 1.380.0-3.mga6
+ Revision: 1027630
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.380.0-2.mga6
+ Revision: 969349
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.380.0-1.mga6
+ Revision: 868455
- update to 1.38

* Tue Jul 14 2015 sander85 <sander85> 1.370.0-1.mga6
+ Revision: 854073
- update to 1.37

* Wed Oct 15 2014 umeabot <umeabot> 1.350.0-3.mga5
+ Revision: 751008
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.350.0-2.mga5
+ Revision: 684797
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.350.0-1.mga5
+ Revision: 639999
- update to 1.35

* Tue May 20 2014 jquelin <jquelin> 1.320.0-1.mga5
+ Revision: 624291
- update to 1.32

* Tue May 06 2014 jquelin <jquelin> 1.310.0-1.mga5
+ Revision: 620631
- update to 1.31

* Tue Apr 15 2014 jquelin <jquelin> 1.290.0-1.mga5
+ Revision: 614813
- update to 1.29

* Mon Mar 17 2014 jquelin <jquelin> 1.280.0-1.mga5
+ Revision: 604360
- update to 1.28

* Thu Mar 13 2014 jquelin <jquelin> 1.270.0-1.mga5
+ Revision: 602914
- update to 1.27

* Mon Mar 03 2014 jquelin <jquelin> 1.250.0-1.mga5
+ Revision: 598674
- update to 1.25

* Mon Feb 24 2014 jquelin <jquelin> 1.200.0-1.mga5
+ Revision: 596258
- update to 1.20

* Fri Oct 18 2013 umeabot <umeabot> 1.180.0-3.mga4
+ Revision: 511717
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 367504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.180.0-1.mga3
+ Revision: 301371
- update to 1.18

* Wed Feb 15 2012 jquelin <jquelin> 1.170.0-2.mga2
+ Revision: 209314
- fix yahoo quote urls (mga#4508)

* Sun Jan 23 2011 jquelin <jquelin> 1.170.0-1.mga1
+ Revision: 33776
- mageia rebuild
- imported package perl-Finance-Quote


* Tue Oct 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.170.0-1mdv2010.0
+ Revision: 454468
- new version
- no need for explicit dependencies

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.160.0-1mdv2010.0
+ Revision: 403183
- rebuild using %%perl_convert_version

* Sun May 10 2009 Frederik Himpe <fhimpe@mandriva.org> 1.16-1mdv2010.0
+ Revision: 374101
- Add perl- packages as BuildRequires too
- Change BuildRequires in Requires for perl- packages: these are also
  required at run-time
- add Perl-HTML-Tree and perl-CGI Requires
- Add perl-HTML-TableExtract BuildRequires for test suite
- Add perl-libwww-perl BuildRequires to make the test suite succeed
- update to new version 1.16

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.13-3mdv2009.0
+ Revision: 257040
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.13-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdv2008.0
+ Revision: 46527
- update to new version 1.13


* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2007.0
+ Revision: 84626
- new version
- Import perl-Finance-Quote

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-2mdv2007.0
- Rebuild

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdk
- New release 1.11
- spec cleanup

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.10-1mdk
- 1.10 ; add tests

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-3mdk
- fix buildrequires in a backward compatible way

* Sat Jul 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-2mdk 
- rpmbuildupdate aware

